#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include "sgl.h"
/* The screen surface, joystick device */
surface *screen = NULL;


int main ( int argc, char *argv[])
{
	int done;
    int x;
    
    screen=sgl_start();
    setfont( "DejaVuSans.ttf");
    surface *txt_sgl=text( "welcome SGL demo", 30, rgb(255,0,0));
    surface *txt_press_start=text( "press start", 10, rgb(0,0,255));
    surface *vroby=surface_load("vroby.jpg",0);
    music_load( "sgl.ogg");
    
    music_play( 255,-1);
    
    
    for(x=-10;x<240;x++){    
        cls(screen,0);                     
        paste(screen,10,x,txt_sgl);
        screenswap();
    }
    
    paste(screen,10,220,txt_press_start);
    while(joy[VK_START])screenswap();
    while(joy[VK_START])screenswap();

	done = 0;
	x=0;
	while (done!=2){
          cls(screen,0);

  	      if (joy[VK_UP])
  	         bar(screen, 100,50,20,20,rgb(255,0,0));
          else
  	         bar(screen, 100,50,20,20,rgb(255,255,255));

  	      if (joy[VK_UP_LEFT])
  	         bar(screen, 50,50,20,20,rgb(255,0,0));
          else
  	         bar(screen, 50,50,20,20,rgb(255,255,255));

  	      if (joy[VK_LEFT])
  	         bar(screen, 50,100,20,20,rgb(255,0,0));
          else
  	         bar(screen, 50,100,20,20,rgb(255,255,255));

  	      if (joy[VK_DOWN_LEFT])
  	         bar(screen, 50,150,20,20,rgb(255,0,0));
          else
  	         bar(screen, 50,150,20,20,rgb(255,255,255));

	      if (joy[VK_DOWN])
  	         bar(screen, 100,150,20,20,rgb(255,0,0));
          else
  	         bar(screen, 100,150,20,20,rgb(255,255,255));

	      if (joy[VK_DOWN_RIGHT])
  	         bar(screen, 150,150,20,20,rgb(255,0,0));
          else
  	         bar(screen, 150,150,20,20,rgb(255,255,255));

	      if (joy[VK_RIGHT])
  	         bar(screen, 150,100,20,20,rgb(255,0,0));
          else
  	         bar(screen, 150,100,20,20,rgb(255,255,255));

	      if (joy[VK_UP_RIGHT])
  	         bar(screen, 150,50,20,20,rgb(255,0,0));
          else
  	         bar(screen, 150,50,20,20,rgb(255,255,255));

	      if (joy[VK_TAT])
  	         bar(screen, 100,100,20,20,rgb(255,0,0));
          else
  	         bar(screen, 100,100,20,20,rgb(255,255,255));

	      if (joy[VK_FA])
  	         bar(screen, 200,100,20,20,rgb(255,0,0));
          else
  	         bar(screen, 200,100,20,20,rgb(255,255,255));

	      if (joy[VK_FX])
  	         bar(screen, 225,125,20,20,rgb(255,0,0));
          else
  	         bar(screen, 225,125,20,20,rgb(255,255,255));

	      if (joy[VK_FY])
  	         bar(screen, 225,75,20,20,rgb(255,0,0));
          else
  	         bar(screen, 225,75,20,20,rgb(255,255,255));
 
	      if (joy[VK_FB])
  	         bar(screen, 250,100,20,20,rgb(255,0,0));
          else
  	         bar(screen, 250,100,20,20,rgb(255,255,255));
          
	      if (joy[VK_FL])
  	         bar(screen, 50,10,40,10,rgb(255,0,0));
          else
  	         bar(screen, 50,10,40,10,rgb(255,255,255));

	      if (joy[VK_FR])
  	         bar(screen, 230,10,40,10,rgb(255,0,0));
          else
  	         bar(screen, 230,10,40,10,rgb(255,255,255));

	      if (joy[VK_START])
  	         bar(screen, 240,170,30,15,rgb(255,0,0));
          else
  	         bar(screen, 240,170,30,15,rgb(255,255,255));

	      if (joy[VK_SELECT])
  	         bar(screen, 200,170,30,15,rgb(255,0,0));
          else
  	         bar(screen, 200,170,30,15,rgb(255,255,255));

	      if (joy[VK_VOL_DOWN])
  	         bar(screen, 75,180,30,10,rgb(255,0,0));
          else
  	         bar(screen, 75,180,30,10,rgb(255,255,255));

	      if (joy[VK_VOL_UP])
  	         bar(screen, 115,180,30,10,rgb(255,0,0));
          else
  	         bar(screen, 115,180,30,10,rgb(255,255,255));

          paste(screen,10,220,txt_press_start);
 	      screenswap();
          if (joy[VK_START])
             done=1;
          if(done==1 && !joy[VK_START])
             done=2;   	
             
    };
    
    

    cls(screen,rgb(255,255,255));
    paste(screen,10,220,txt_press_start);
    while(joy[VK_START]) screenswap();
    done=0;
    while(done!=2){
            line( screen, rand()%320, rand()%240, rand()%320, rand()%240, rgb(rand()%255,rand()%255,rand()%255));
            screenswap();      
            if (joy[VK_START])done=2;
    }    

    cls(screen,rgb(255,255,255));
    paste(screen,10,220,txt_press_start);
    while(joy[VK_START]) screenswap();
    done=0;
    while(done!=2){
            box( screen, rand()%320, rand()%240, rand()%320, rand()%240, rgb(rand()%255,rand()%255,rand()%255));
            screenswap();      
            if (joy[VK_START])done=2;
    }    

    cls(screen,rgb(255,255,255));
    paste(screen,10,220,txt_press_start);
    while(joy[VK_START]) screenswap();
    done=0;
    while(done!=2){
            bar( screen, rand()%320, rand()%240, rand()%320, rand()%240, rgb(rand()%255,rand()%255,rand()%255));
            screenswap();      
            if (joy[VK_START])done=2;
    }    

    cls(screen,rgb(255,255,255));
    paste(screen,10,220,txt_press_start);
    while(joy[VK_START]) screenswap();
    done=0;
    while(done!=2){
            circle( screen, rand()%320, rand()%240, rand()%100, rgb(rand()%255,rand()%255,rand()%255));
            screenswap();      
            if (joy[VK_START])done=2;
    }    

    cls(screen,rgb(255,255,255));
    paste(screen,10,220,txt_press_start);
    while(joy[VK_START]) screenswap();
    done=0;
    while(done!=2){
            fillcircle( screen, rand()%320, rand()%240, rand()%100, rgb(rand()%255,rand()%255,rand()%255));
            screenswap();      
            if (joy[VK_START])done=2;
    }    

    cls(screen,rgb(255,255,255));
    paste(screen,10,220,txt_press_start);
    while(joy[VK_START]) screenswap();
    done=0;
    while(done!=2){
            ellipse( screen, rand()%320, rand()%240, rand()%320, rand()%240, rgb(rand()%255,rand()%255,rand()%255));
            screenswap();      
            if (joy[VK_START])done=2;
    }    

    cls(screen,rgb(255,255,255));
    paste(screen,10,220,txt_press_start);
    while(joy[VK_START]) screenswap();
    done=0;
    while(done!=2){
            fillellipse( screen, rand()%320, rand()%240, rand()%320, rand()%240, rgb(rand()%255,rand()%255,rand()%255));
            screenswap();      
            if (joy[VK_START])done=2;
    }    

    cls(screen,rgb(255,255,255));
    while(joy[VK_START]) screenswap();
    done=0;
    while(done!=2){
        for(x=-64;x<320;x++){                  
            paste(screen,x,100,vroby);                          
            paste(screen,10,220,txt_press_start);
            if (joy[VK_START])done=1;
            if (!joy[VK_START]&& done==1)done=2;
            if (done==2)break;
            screenswap();
        }
        
    }    
    
    
    
    
	return 0;
}
